{% load operations_tags static %}
<tr hx-swap="outerHTML" hx-target="this">
  <td>
    <select hx-patch="{% url 'operation_line' pk=line.id %}"
            hx-target="closest tbody"
            hx-swap="innerHTML"
            name="position">
      <option value="" {% if line.position is None %}selected{% endif %}>Choose Position</option>
      {% for position in available_positions %}
        <option value="{{ position.key }}"
                {% if line.position == position %}selected{% endif %}>{{ position.name }}</option>
      {% endfor %}
    </select>
  </td>
  <td class="input-container"
      style="display: flex;
             flex-direction: inline;
             grid-template-columns: auto 1fr;
             gap: 8px">{% include "operations/operation_details_line_crew_member_cell.html" %}</td>
  <td>
    {% if line.permanent_crew %}
    {% else %}
      {% if line.crew_member %}
        <select hx-patch="{% url 'operation_line' pk=line.id %}"
                hx-target="this"
                hx-swap="innerHTML"
                name="status">{% include "operations/operation_details_line_status.html" %}</select>
      {% endif %}
    {% endif %}
  </td>
  <td>
    {% if line.permanent_crew %}
    {% else %}
      {{ line.crew_member.has_experience.display }}
    {% endif %}
  </td>
  <td>
    {% if line.permanent_crew %}
    {% else %}
      {{ line.crew_member.language_short_display }}
    {% endif %}
  </td>
  <td>
    {% if line.permanent_crew %}
    {% else %}
      {{ line.crew_member.get_gender_display }}
    {% endif %}
  </td>
  <td>
    {% if line.permanent_crew %}
    {% else %}
      {% operation_line_cell_rank line.crew_member %}
    {% endif %}
  </td>
  <td>
    <button class="button"
            style="float: right;
                   margin-right: 5px"
            hx-get="{% url 'operationline_confirm_delete' line_pk=line.pk %}"
            hx-trigger="click"
            hx-target="#operationline-confirm-delete-dialog"
            hx-swap="outerHTML">Delete</button>
  </td>
</tr>
